using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Scheduler.Backgrounding
{
    public interface IBGTaskLoopable
    {
        Task OnBGTaskLoopAsync();
    }

    public interface IBGTaskLoopable<TResult>
    {
        Task<TResult> OnBGTaskLoopAsync();
    }
}
